> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Apps Available In Catalog

> This operation will no longer be available after 2025-04-30 and will be discontinued in upcoming weeks due to the deprecation of the direct use of apps and skills in the AI agent. Use tools to complete specific tasks through agents.



## OpenAPI

````yaml get /v1/catalog/applications
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/catalog/applications:
    get:
      tags:
        - Catalog Management
      summary: List All Apps Available In Catalog
      description: >-
        This operation will no longer be available after 2025-04-30 and will be
        discontinued in upcoming weeks due to the deprecation of the direct use
        of apps and skills in the AI agent. Use tools to complete specific tasks
        through agents.
      operationId: List_all_Apps_available_in_Catalog_v1_catalog_applications_get
      parameters:
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 0
                maxLength: 255
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortType'
            default: ASC
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ArtifactGroup_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    SortType:
      type: string
      enum:
        - ASC
        - DESC
      title: SortType
    PaginatedResponse_ArtifactGroup_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ArtifactGroup'
          type: array
          title: Items
          description: List of items fetched in the current page
        total:
          type: integer
          title: Total
          description: Total number of items available across all pages
        offset:
          type: integer
          title: Offset
          description: The offset from which the items are fetched in the current page
        limit:
          type: integer
          title: Limit
          description: Number of items to be fetched per page
      type: object
      required:
        - items
        - total
        - offset
        - limit
      title: PaginatedResponse[ArtifactGroup]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ArtifactGroup:
      properties:
        ids:
          items:
            type: string
            format: uuid
          type: array
          title: Ids
          default: []
        catalog_ref_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Catalog Ref Id
          description: App Id
        group_name:
          type: string
          minLength: 1
          title: Group Name
          description: Name of the artifact group
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the artifact group
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon associated with the artifact group
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hidden
          description: Visibility of the artifact group
          default: false
        tenant_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Tenant Id
          description: Foreign key referencing the tenants table
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
          description: Timestamp when the artifact group was created
        created_by:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Created By
          description: Foreign key referencing the user_profiles table for the creator
        last_modified_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Modified On
          description: Timestamp of the last modification
        last_modified_by:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Last Modified By
          description: >-
            Foreign key referencing the user_profiles table for the last
            modifier
        deleted_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted On
          description: Timestamp when the artifact group was deleted
        deleted_by:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Deleted By
          description: >-
            Foreign key referencing the user_profiles table for the user who
            deleted the artifact group
      type: object
      required:
        - group_name
      title: ArtifactGroup
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````